//      Resource.cxx
//
//      Copyright 2011 Andreas Tscharner <andy@vis.ethz.ch>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU Lesser General Public License as
//      published by the Free Software Foundation; either version 3 of the
//      License, or (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU Lesser General Public
//      License along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "include/Resource.hxx"


lrc::Resource::Resource(void)
{
	m_resID = NULL;
	m_resData = NULL;
	m_resSize = 0;
}

lrc::Resource::~Resource(void)
{
	m_resSize = -1;
	if (m_resData) {
		delete[] m_resData;
	};
	if (m_resID) {
		delete[] m_resID;
	};
}

char *lrc::Resource::get_ID(void)
{
	return m_resID;
}

unsigned char *lrc::Resource::get_res_data(void)
{
	return m_resData;
}

size_t lrc::Resource::get_res_size(void)
{
	return m_resSize;
}

